IOSS 2.0

Classes | Functions | Variables
anonymous_namespace{cgns_decomp.C} Namespace Reference

## Classes
class | Interface

## Functions
void | cleanup (std::vector< Iocgns::StructuredZoneData * > &zones)
int64_t | generate_guid (size_t id, int rank, int proc_count)
void | update_zgc_data (std::vector< Iocgns::StructuredZoneData * > &zones, int proc_count)
void | validate_decomposition (std::vector< Iocgns::StructuredZoneData * > &zones, int proc_count)
void | output_communications (std::vector< Iocgns::StructuredZoneData * > &zones, int proc_count)
void | output_histogram (const std::vector< size_t > &proc_work, size_t avg_work, size_t median)
void | describe_decomposition (std::vector< Iocgns::StructuredZoneData * > &zones, size_t orig_zone_count, const Interface &interface)

## Variables
std::string | codename
std::string | version = "0.95"

## Function Documentation

## ◆ cleanup()

void anonymous_namespace{cgns_decomp.C}::cleanup | ( | std::vector< Iocgns::StructuredZoneData * > & | zones | ) |

## ◆ describe_decomposition()

void anonymous_namespace{cgns_decomp.C}::describe_decomposition | ( | std::vector< Iocgns::StructuredZoneData * > & | zones,
|  | size_t | orig_zone_count,
|  | const Interface & | interface
| ) |  |

## ◆ generate_guid()

int64_t anonymous_namespace{cgns_decomp.C}::generate_guid | ( | size_t | id,
|  | int | rank,
|  | int | proc_count
| ) |  |

## ◆ output_communications()

void anonymous_namespace{cgns_decomp.C}::output_communications | ( | std::vector< Iocgns::StructuredZoneData * > & | zones,
|  | int | proc_count
| ) |  |

## ◆ output_histogram()

void anonymous_namespace{cgns_decomp.C}::output_histogram | ( | const std::vector< size_t > & | proc_work,
|  | size_t | avg_work,
|  | size_t | median
| ) |  |

## ◆ update_zgc_data()

void anonymous_namespace{cgns_decomp.C}::update_zgc_data | ( | std::vector< Iocgns::StructuredZoneData * > & | zones,
|  | int | proc_count
| ) |  |

## ◆ validate_decomposition()

void anonymous_namespace{cgns_decomp.C}::validate_decomposition | ( | std::vector< Iocgns::StructuredZoneData * > & | zones,
|  | int | proc_count
| ) |  |

## Variable Documentation

## ◆ codename

std::string anonymous_namespace{cgns_decomp.C}::codename

## ◆ version

std::string anonymous_namespace{cgns_decomp.C}::version = "0.95"